watson-developer-cloud watson-developer-cloud

node-sdk

20 16 0

:steam_locomotive: Node.js library to access IBM Watson services.

You have 7 open security alerts

Dependencies

Package Locked Requirement Latest Status Changelog
Npms async 2.5.0 ^2.5.0 2.6.0

async version 2.5.0

Higher-order functions and common patterns for asynchronous code

This dependency is not matching latest version. Please consider upgrading.

Npms buffer-from 0.1.1 ^0.1.1 0.1.1

buffer-from version 0.1.1

A [ponyfill](https://ponyfill.com) for `Buffer.from`, uses native implementation if available.

This dependency is up-to-date. Congrats and keep going!

Npms cookie 0.3.1 ~0.3.1 0.3.1

cookie version 0.3.1

HTTP server cookie parsing and serialization

This dependency is up-to-date. Congrats and keep going!

Npms csv-stringify 1.0.4 ~1.0.2 2.0.0

csv-stringify version 1.0.4

CSV stringifier implementing the Node.js `stream.Transform` API

This dependency is not matching latest version. Please consider upgrading.

Npms extend 3.0.1 ~3.0.0 3.0.1

extend version 3.0.1

Port of jQuery.extend for node.js and the browser

This dependency is up-to-date. Congrats and keep going!

Npms isstream 0.1.2 ~0.1.2 0.1.2

isstream version 0.1.2

Determine if an object is a Stream

This dependency is up-to-date. Congrats and keep going!

Npms object.omit 2.0.1 ~3.0.0 3.0.0

object.omit version 2.0.1

Return a copy of an object excluding the given key, or array of keys. Also accepts an optional filter function as the last argument.

This dependency is not matching latest version. Please consider upgrading.

Npms object.pick 1.3.0 ~1.3.0 1.3.0

object.pick version 1.3.0

Returns a filtered copy of an object with only the specified keys, similar to `_.pick` from lodash / underscore.

This dependency is up-to-date. Congrats and keep going!

Npms request 2.81.0 ~2.83.0 2.83.0

request version 2.81.0

Simplified HTTP request client.

This dependency is not matching latest version. Please consider upgrading.

Npms solr-client 0.7.0 ^0.7.0 0.7.0

solr-client version 0.7.0

A Solr client library for indexing, adding, deleting, committing, optimizing and searching documents within an Apache Solr installation (version>=3.2)

This dependency is up-to-date. Congrats and keep going!

Npms vcap_services 0.3.4 ~0.3.0 0.3.4

vcap_services version 0.3.4

Parse and return service credentials from VCAP_SERVICES.

This dependency is up-to-date. Congrats and keep going!

Npms websocket 1.0.24 ~1.0.22 1.0.25

websocket version 1.0.24

Websocket Client & Server Library implementing the WebSocket protocol as specified in RFC 6455.

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms browserify 14.4.0 ^14.4.0 14.5.0

browserify version 14.4.0

browser-side require() the node way

This dependency is not matching latest version. Please consider upgrading.

Npms concat-stream 1.5.2 ^1.5.1 1.6.0

concat-stream version 1.5.2

writable stream that concatenates strings or binary data and calls a callback with the result

This dependency is not matching latest version. Please consider upgrading.

Npms dependency-lint 5.0.1 ^5.0.1 5.0.1

dependency-lint version 5.0.1

Lints package.json dependencies and devDependencies

This dependency is up-to-date. Congrats and keep going!

Npms eslint 4.7.2 ^4.7.2 4.11.0

eslint version 4.7.2

An AST-based pattern checker for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-config-google 0.9.1 ^0.9.1 0.9.1

eslint-config-google version 0.9.1

ESLint shareable config for the Google style

This dependency is up-to-date. Congrats and keep going!

Npms eslint-config-prettier 2.6.0 ^2.6.0 2.8.0

eslint-config-prettier version 2.6.0

Turns off all rules that are unnecessary or might conflict with Prettier.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-plugin-node 5.2.0 ^5.2.0 5.2.1

eslint-plugin-node version 5.2.0

Additional ESLint's rules for Node.js

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-plugin-prettier 2.3.1 ^2.3.1 2.3.1

eslint-plugin-prettier version 2.3.1

Runs prettier as an eslint rule

This dependency is up-to-date. Congrats and keep going!

Npms jsdoc 3.5.5 ^3.5.5 3.5.5

jsdoc version 3.5.5

An API documentation generator for JavaScript.

This dependency is up-to-date. Congrats and keep going!

Npms karma 1.7.1 ^1.7.1 1.7.1

karma version 1.7.1

Spectacular Test Runner for JavaScript.

This dependency is up-to-date. Congrats and keep going!

Npms karma-browserify 5.1.1 ^5.0.5 5.1.2

karma-browserify version 5.1.1

A fast browserify integration for Karma that handles large projects with ease

This dependency is not matching latest version. Please consider upgrading.

Npms karma-chrome-launcher 2.2.0 ^2.2.0 2.2.0

karma-chrome-launcher version 2.2.0

A Karma plugin. Launcher for Chrome and Chrome Canary.

This dependency is up-to-date. Congrats and keep going!

Npms karma-firefox-launcher 1.0.1 ^1.0.0 1.0.1

karma-firefox-launcher version 1.0.1

A Karma plugin. Launcher for Firefox.

This dependency is up-to-date. Congrats and keep going!

Npms karma-mocha 1.3.0 ^1.1.1 1.3.0

karma-mocha version 1.3.0

A Karma plugin. Adapter for Mocha testing framework.

This dependency is up-to-date. Congrats and keep going!

Npms memory-fs 0.4.1 ^0.4.1 0.4.1

memory-fs version 0.4.1

A simple in-memory filesystem. Holds data in a javascript object.

This dependency is up-to-date. Congrats and keep going!

Npms mocha 3.5.3 ^3.5.3 4.0.1

mocha version 3.5.3

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms nock 9.0.22 ^9.0.22 9.1.0

nock version 9.0.22

HTTP Server mocking for Node.js

This dependency is not matching latest version. Please consider upgrading.

Npms object.assign 4.0.4 ^4.0.4 4.0.4

object.assign version 4.0.4

ES6 spec-compliant Object.assign shim. From https://github.com/es-shims/es6-shim

This dependency is up-to-date. Congrats and keep going!

Npms prettier 1.7.2 ^1.7.2 1.8.2

prettier version 1.7.2

Prettier is an opinionated code formatter

This dependency is not matching latest version. Please consider upgrading.

Npms shebang-loader 0.0.1 0.0.1 0.0.1

shebang-loader version 0.0.1

#!/usr/bin/env shebang loader for webpack

This dependency is up-to-date. Congrats and keep going!

Npms uglify-js 3.1.2 ^3.1.2 3.1.10

uglify-js version 3.1.2

JavaScript parser, mangler/compressor and beautifier toolkit

This dependency is not matching latest version. Please consider upgrading.

Npms watchify 3.9.0 ^3.7.0 3.9.0

watchify version 3.9.0

watch mode for browserify builds

This dependency is up-to-date. Congrats and keep going!

Npms wav 1.0.1 ^1.0.0 1.0.1

wav version 1.0.1

`Reader` and `Writer` streams for Microsoft WAVE audio files

This dependency is up-to-date. Congrats and keep going!

Npms webpack 3.6.0 ^3.6.0 3.8.1

webpack version 3.6.0

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jsx, es7, css, less, ... and your custom stuff.

This dependency is not matching latest version. Please consider upgrading.